:root {
	--black: 0, 0, 0;
	--white: 255, 255, 255;
	--off-black: 33, 37, 41;
	--dark-gray: 112, 111, 111;
	--gray: 155, 154, 154;
	--light-gray: 242, 242, 242;
	--red: 214, 13, 24;
	--dimmed-red: 190, 20, 35;

	--content-width: 1216px;
	--column-width: 384px;
}

a {
	color: inherit;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

input:not([type="radio"], [type="checkbox"], [type="reset"], [type="submit"]),
select {
	width: 100%;
	padding: 1em .5em;
	border: 1px solid rgb(var(--dark-gray));
	border-radius: 0;
	color: rgb(var(--dark-gray));
	font-size: 1rem;
}

input::placeholder,
select::placeholder {
	color: rgb(var(--gray));
}

.button {
	text-align: left;
}

#message .button {
	text-align: center;
	margin-top: 10px;
}

#message .button a {
	width: auto;
}

.button a,
.button input[type="submit"] {
	display: inline-block;
	background-color: rgb(var(--red));
	color: rgb(var(--white));
	transition: background-color .4s ease;
	font-size: 1rem;
	padding: .875em 2.5em;
	margin: 0;
	border: none;
	border-radius: 1.5em;
	cursor: pointer;
	text-align: center;
}

.button a:hover,
.button input[type="submit"]:hover {
	background-color: rgb(var(--dimmed-red));
}

.button a:hover {
	text-decoration: none;
}

html,
body {
	font: normal 16px/1.25 Poppins, Arial, Helvetica, sans-serif;
	vertical-align: middle;
	color: rgb(var(--off-black));
}

body {
	display: flex;
	flex-direction: column;
	text-align: center;
}

header {
	    overflow-x: hidden;
    overflow-y: visible;
}

#main-navigation {
	display: grid;
	grid-template-columns: 202px 1fr;
	grid-template-rows: 21% 39.5% 39.5%;
	position: relative;
}

#top-navigation {
	background-color: rgb(var(--light-gray));
}

#middle-navigation {
	background-color: rgb(var(--dark-gray));
}

#bottom-navigation {
	background-color: rgb(var(--white));
	display: flex;
	justify-content: end;
	align-items: center;
}

#logo {
	grid-row: 1 / span 3;
}

#top-navigation,
#middle-navigation,
#bottom-navigation,
#logo {
	z-index: 1;
}

#menu-toggle {
	padding: 10px 44px;
	cursor: pointer;
}

#menu-toggle svg {
	width: 24px;
}

#navbar-basket {
	padding: 10px 0px;
	cursor: pointer;
}

#navbar-basket img {
	width: 35px;
}

body:not(#page0) #banner {
	width: 100%;
	height: 300px;
	object-fit: cover;
}

body:not(#page0) #banner[src$="/banner.jpg"] {
	object-position: 62%;
}

#page0 #banner {
	width: 100%;
	background-color: rgb(var(--light-gray));
}

#page0 #bannerCarousel {
	--image-size: 480px;
	--per-row: 3;
	max-width: min(100svw, calc(var(--image-size) * var(--per-row)));
	max-height: min(100svw, var(--image-size));
	margin: auto;
	display: grid;
	grid-template-columns: repeat(var(--per-row), minmax(var(--image-size), 1fr));
	overflow: hidden;
}

#page0 #bannerCarousel[data-per-row="2"] { --per-row: 2; }
#page0 #bannerCarousel[data-per-row="1"] { --per-row: 1; width: 100svw; height: 100svw; }

#page0 #bannerCarousel img {
	aspect-ratio: 1;
	width: var(--image-size);
	height: auto;
	max-width: 100svw;
}

#navigation-menu {
	position: fixed;
	background-color: rgb(var(--dark-gray));
	color: rgb(var(--white));
	top: 0;
	left: 0;
	right: 0;
	max-height: calc(100vh - 202px);
	max-height: calc(100svh - 202px);
	padding: 1.875rem 1.875rem 9.375rem 1.875rem;
	transition: transform .4s ease;
	z-index: 1;
}

#navigation-menu[data-visible="false"] {
	transform: translateX(100%);
}

#navigation-menu > .container {
	max-width: var(--content-width);
	margin: 0 auto;
}

#menu-close {
	display: flex;
    justify-content: end;
	align-items: center;
    gap: 0.5em;
	margin-left: auto;
	color: rgb(var(--white));
	text-transform: uppercase;
	font-size: .625rem;
}

#menu-close svg {
	fill: rgb(var(--white));
	height: .8em;
	aspect-ratio: 1;
}

#menu-label {
	display: block;
	font-size: 1.875rem;
	padding: .8em 0;
	color: rgb(var(--black));
	text-transform: uppercase;
	text-align: left;
}

#navigation-grid {
	display: grid;
	grid-template-columns: repeat(3, var(--column-width));
	justify-content: space-between;
	grid-auto-flow: dense;
	gap: 0 2rem;
	margin: 0 auto;
}

#navigation-menu .nav {
	display: grid;
	gap: 0 2rem;
	grid-auto-flow: dense;
}

#nav {
	grid-column: 1;
	grid-template-columns: var(--column-width);
}

#global_nav {
	grid-column: 2 / span 2;
	grid-template-columns: repeat(2, var(--column-width));
}

#navigation-menu .nav a {
	display: flex;
	align-items: center;
	padding: 1.5em 0;
	font-size: .875rem;
	color: rgb(var(--white));
	text-align: left;
	border-bottom: 1px solid rgb(var(--gray));
}

#navigation-menu .nav a:hover {
	font-weight: bold;
	text-decoration: none;
}

#navigation-menu .nav a .arrow {
	margin-left: auto;
	fill: rgb(var(--white));
}

@media screen and (max-width: 1275px) {
	#navigation-grid {
		display: flex;
		flex-direction: column;
	}
}

@media screen and (min-width: 860px) and (max-width: 1275px) {
	#nav {
		grid-column: 1;
		grid-template-columns: repeat(2, var(--column-width));
	}
}

@media screen and (min-width: 860px) {
	#navigation-menu .nav a[href="/content/view/7"] {
		grid-column: 2;
	}

	#navigation-grid {
		align-items: start;
	}
}

@media screen and (max-width: 859px) {
	#navigation-menu .nav {
		display: flex;
		flex-direction: column;
	}
}

main {
	flex-grow: 1;
	padding: 2.5rem;
}

main > #column2 {
	max-width: var(--content-width);
	margin-left: auto;
	margin-right: auto;
}

#return-to-top {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	color: rgb(var(--dark-gray));
	text-transform: uppercase;
	font-size: .875rem;
	margin-bottom: 1rem;
}

#return-to-top svg {
	fill: rgb(var(--dark-gray));
	margin-bottom: .5rem;
}

footer {
	padding: 1.25em;
	background-color: rgb(var(--dark-gray));
	color: rgb(var(--white));
	font-weight: bold;
	text-transform: uppercase;
}

h1 {
	margin-top: .5em;
	margin-bottom: 1em;
	text-transform: uppercase;
	color: rgb(var(--red));
	font-size: 1.75rem;
}

h2 {
	color: rgb(var(--black));
	font-size: 1.625rem;
	font-weight: normal;
	margin: 1em 0 .5em;
}

table {
	background-color: rgb(var(--white));
	width: 100%;
	border: none;
	border-collapse: collapse;
}

table th,
table td {
	text-align: left;
	padding: 1em 2em;
}

table td {
	vertical-align: middle;
}

table thead td,
table th {
	color: rgb(var(--red));
	background-color: rgb(var(--white));
	text-transform: uppercase;
	font-weight: bold;
	border-left: 0;
	border-right: 0;
	vertical-align: text-top;
}

table tbody tr,
table.dataTable tbody tr:nth-child(2n-1) {
	background-color: rgb(var(--light-gray));
}

table tbody tr:not(:last-child) {
	border-bottom: 2px solid rgb(var(--white));
}

form > .recordset > ul {
	list-style-type: none;
	padding-left: 0;
}

@media screen and (max-width: 1199px) {
	table th,
	table td {
		padding: 1em 1.25em;
	}
}

form > .recordset > ul > li {
	display: grid;
	grid-template-columns: 1fr auto;
	text-align: left;
}

form > .recordset > ul > li:not(:first-child) {
	margin-top: 1em;
}

form > .recordset > ul > li > :not(.vtip) {
	grid-column: 1;
}

form .vtip {
	margin-left: .5em;
	vertical-align: middle;
	align-self: center;
}

form .required_error.vtip {
	background-color: rgb(var(--red));
	color: rgb(var(--white));
	padding: .5em;
	font-weight: bold;
}

form > .recordset > ul > li > .vtip {
height: 100%;
display: flex;
align-items: center;
}

form > .recordset > ul > li > label {
	font-size: .875rem;
	color: rgb(var(--dark-gray));
	margin-bottom: .5em;
}

#login-title {
	color: rgb(var(--black));
	font-size: 3.5rem;
}

body[data-section="main"][data-page="login"] h1::after,
body[data-section="main"][data-page="logout"] h1::after {
	content: 'Login';
	display: block;
	margin-top: 1em;
}

#login {
	margin-top: 4rem;
}

#login_text {
	font-size: 1.25rem;
}

#login_ul {
	list-style-type: none;
	margin: 1.5rem auto;
	padding: 0;
	max-width: var(--column-width);
}

#login_ul>li:not(:last-child) {
	margin-bottom: 1rem;
}

#login_ul>li>label,
#login_ul>li>input {
	display: block;
	width: 100%;
	text-align: left;
}

#login_ul>li>label {
	color: rgb(var(--dark-gray));
	font-size: .875rem;
	margin-bottom: .5em;
}

#login .ok_button {
	display: none;
}

#login #submit_button {
	max-width: var(--column-width);
	margin: 0 auto;
}

#login_links {
	margin-top: 2rem;
}

#forgot > .recordset > ul,
#forgot > .recordset ~ .button,
#my_details > .recordset > ul,
#my_details > .recordset ~ .button,
#password_change > .recordset > ul,
#password_change > .recordset ~ .button {
	display: block;
	max-width: var(--column-width);
	margin-left: auto;
	margin-right: auto;
}

#forgot > .recordset ~ .button {
	pointer-events: none;
}

#forgot > .recordset ~ .button > a,
#forgot > .recordset ~ .button > input {
	pointer-events: all;
}

#forgot > .recordset + .button.back {
	position: absolute;
	width: 100%;
	float: right !important;
	margin-left: auto !important;
	left: 0;
	right: 0;
	text-align: right;
}

#register_button,
:not(h1) + #boxes_container {
	margin-top: 2rem;
}

#boxes {
	display: flex;
	flex-wrap: wrap;
	gap: 2rem;
	justify-content: center;
}

.box {
	display: block;
	width: 100%;
	max-width: 217px;
}

.box.icon {
	max-height: 280px;
	aspect-ratio: 1;
}

.box.icon,
.box.image img {
	max-height: 280px;
	border: 1px solid rgb(var(--red));
	background-color: rgb(var(--light-gray));
}

.box img {
	display: block;
}

.box.icon img {
	width: 100%;
	max-width: 90px;
	aspect-ratio: 1;
	object-fit: contain;
	margin: 58px auto 36px auto;
}

.box.image img {
	padding: 30px;
}

.box.icon .name {
	color: rgb(var(--red));
	font-size: 20px;
	font-weight: normal;
}

.box.image .name {
	color: rgb(var(--black));
	font-size: 16px;
	text-align: center;
	margin: .5em 0;
}

#boxes .clear {
	display: none;
}

#pagecookies #column2 p,
#pagecookies #column2 ul {
	text-align: left;
	max-width: calc(var(--column-width) * 2);
	margin-left: auto;
	margin-right: auto;
}

table.dataTable thead th,
table.dataTable thead td,
table.dataTable.no-footer {
	border-bottom: none;
}

.dataTables_paginate.paging_simple_numbers > span {
	display: none;
}

#page91 #s2_basket_form .button input[type="submit"]{
	display: none;
}
